Subject: RE: [External] : Re: bug#52007: 26.3; Doc of `define-globalized-minor-mode' and global(ized) minor modes

From: Drew Adams <[email-masked]>
Date: Sun, 21 Nov 2021 18:25:23 +0000

> > > > That's not what it means to toggle `foo-mode'
> > > > everywhere.  Doing that would flip the value that
> > > > `foo-mode' (non-global mode) has in each buffer.
> > >
> > > And it does.
> >
> > It does not.  If `foo-mode' is on in buffer A, and
> > the global mode is off, then toggling the global mode
> > results in `foo-mode' being (still) on in buffer A.
> >
> > Toggling `foo-mode' in all buffers (which is what
> > the erroneous doc string said) would turn it on where
> > it is off and off where it is on.  It would turn it
> > off in buffer A.  It does not do so; it doesn't
> > toggle `foo-mode' in each buffer; instead, it turns
> > the mode on everywhere or off everywhere, depending
> > on the value of `global-foo-mode'.
> 
> You are splitting hair.  The doc string describes what happens when
> the mode is off everywhere.

Not at all splitting hairs.  The doc string said
that the NON-global mode gets toggled in each
buffer, and it does not - not at all.

> > But as you've acknowledged, the bug exists in 27.2,
> > the latest Emacs release.
> 
> I didn't try this in Emacs 27, so I didn't acknowledge that.

I thought you said that the erroneous doc I reported
is getting fixed for Emacs 28.